uk.gov.hmrc.customs.api.common.controllers

# ErrorResponse

###
Related Docs: object ErrorResponse | package controllers

#### case class ErrorResponse(httpStatusCode: Int, errorCode: String, message: String, content: ResponseContents*) extends Error with Product with Serializable

Linear Supertypes
Serializable, Product, Equals, Error, Throwable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ErrorResponse
2. Serializable
3. Product
4. Equals
5. Error
6. Throwable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ErrorResponse(httpStatusCode: Int, errorCode: String, message: String, content: ResponseContents*)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### lazy val JsonResult: Result

5. #### lazy val XmlResult: Result

6. #### final def addSuppressed(arg0: Throwable): Unit

   Definition Classes
     Throwable

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val content: ResponseContents*

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### val errorCode: String

12. #### def fillInStackTrace(): Throwable

    Definition Classes
      Throwable

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### def getCause(): Throwable

    Definition Classes
      Throwable

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

17. #### def getMessage(): String

    Definition Classes
      Throwable

18. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

19. #### final def getSuppressed(): Array[Throwable]

    Definition Classes
      Throwable

20. #### val httpStatusCode: Int

21. #### def initCause(arg0: Throwable): Throwable

    Definition Classes
      Throwable

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### val message: String

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

28. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

29. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

30. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def withErrors(contents: ResponseContents*): ErrorResponse

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Error

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped